<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.callcenter.mapper.ServiceList1000Mapper">

    <resultMap id="serviceList1000Map" type="com.tofly.callcenter.entity.ServiceList1000">
        <id property="id" column="ID"/>
        <result property="taskcalltype" column="TASKCALLTYPE"/>
        <result property="serviceconnectionid" column="SERVICECONNECTIONID"/>
        <result property="connectionid" column="CONNECTIONID"/>
        <result property="cusid" column="CUSID"/>
        <result property="telephone" column="TELEPHONE"/>
        <result property="sysphone" column="SYSPHONE"/>
        <result property="callType" column="CALL_TYPE"/>
        <result property="serviceType" column="SERVICE_TYPE"/>
        <result property="callTime" column="CALL_TIME"/>
        <result property="connectTime" column="CONNECT_TIME"/>
        <result property="hangupTime" column="HANGUP_TIME"/>
        <result property="agentCallTime" column="AGENT_CALL_TIME"/>
        <result property="agentAnswerTime" column="AGENT_ANSWER_TIME"/>
        <result property="agentEndProcessTime" column="AGENT_END_PROCESS_TIME"/>
        <result property="agentHangupTime" column="AGENT_HANGUP_TIME"/>
        <result property="times" column="TIMES"/>
        <result property="callResult" column="CALL_RESULT"/>
        <result property="transferResult" column="TRANSFER_RESULT"/>
        <result property="callFailresult" column="CALL_FAILRESULT"/>
        <result property="causeValue" column="Cause_Value"/>
        <result property="causeDesc" column="Cause_Desc"/>
        <result property="deptid" column="DEPTID"/>
        <result property="empcode" column="EMPCODE"/>
        <result property="transferNo" column="TRANSFER_NO"/>
        <result property="recordFile" column="RECORD_FILE"/>
        <result property="datacode" column="DATACODE"/>
        <result property="dataid" column="DATAID"/>
        <result property="taskid" column="TASKID"/>
        <result property="taskdataid" column="TASKDATAID"/>
        <result property="hangupflag" column="HANGUPFLAG"/>
        <result property="reason" column="REASON"/>
        <result property="callerFlag" column="CALLER_FLAG"/>
        <result property="callerCode" column="CALLER_CODE"/>
        <result property="satisfactionScore" column="SATISFACTION_SCORE"/>
        <result property="queryid" column="queryid"/>
    </resultMap>


</mapper>
